%define	rname	network-manager-applet
%define	major	0
%define libname %mklibname nm-gtk %{major}
%define develname %mklibname nm-gtk -d

Name:		networkmanager-applet
Summary:	Network connection manager applet for GNOME
Version:	0.9.6.4
Release:	1
Group:		System/Configuration/Networking
License:	GPLv2+
URL:		http://www.gnome.org/projects/NetworkManager/
Source0:	http://ftp.gnome.org/pub/GNOME/sources/network-manager-applet/%{rname}-%{version}.tar.xz
Patch0:		network-manager-applet-0.7.999-dont-start-in-kde.patch

BuildRequires:	intltool
BuildRequires:	iso-codes
BuildRequires:	libiw-devel
BuildRequires:	pkgconfig(gconf-2.0)
BuildRequires:	pkgconfig(gnome-keyring-1)
BuildRequires:	pkgconfig(gnome-bluetooth-1.0)
BuildRequires:	pkgconfig(libnm-glib) >= 0.8.6.0
BuildRequires:	pkgconfig(libnm-glib-vpn) >= 0.8.6.0
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	pkgconfig(polkit-gobject-1) >= 0.92
Requires:	networkmanager

%description
Network-manager-applet is a system tray applet which lets you easily
connect to different networks. It is created for GNOME's notification area
but it also works for other desktop environments which provide a system
tray like KDE or XFCE. It displays the available networks and allows to
easily switch between them. For encrypted networks it will prompt the user
for the key/passphrase and it can optionally store them in the
gnome-keyring.

%package -n %{libname}
Group:		System/Libraries
Summary:	%{summary}

%description -n %{libname}
Library from %{name}-gtk.

%package -n %{develname}
Group:		Development/C
Summary:	Development libraries and header files from %{name}
Requires:	%{libname} = %{EVRD}

%description -n %{develname}
%{name}-gtk development headers and libraries.

%prep
%setup -qn %{rname}-%{version}
%apply_patches

%build
autoreconf -fi
%configure2_5x \
	--disable-static \
	--enable-more-warnings=no \
	--with-bluetooth

%make

%install
%makeinstall_std
find %{buildroot}%{_libdir} -name '*.la' -type f -delete -print
%find_lang nm-applet

%files -f nm-applet.lang
%doc ChangeLog CONTRIBUTING
%{_sysconfdir}/xdg/autostart/nm-applet.desktop
%{_bindir}/nm-connection-editor
%{_bindir}/nm-applet
%{_libdir}/gnome-bluetooth/plugins/libnma.so
%{_libexecdir}/nm-applet-migration-tool
%{_datadir}/applications/nm-connection-editor.desktop
%{_datadir}/GConf/gsettings/nm-applet.convert
%{_datadir}/glib-2.0/schemas/org.gnome.nm-applet.gschema.xml
%dir %{_datadir}/nm-applet/
%{_datadir}/nm-applet/*.png
%{_datadir}/nm-applet/*.ui
%{_datadir}/applications/nm-applet.desktop
%{_datadir}/libnm-gtk/wifi.ui
%{_iconsdir}/hicolor/*/apps/*

%files -n %{libname}
%{_libdir}/libnm-gtk.so.%{major}*

%files -n %{develname}
%{_includedir}/libnm-gtk/*
%{_libdir}/libnm-gtk.so
%{_libdir}/pkgconfig/libnm-gtk.pc


%changelog
* Sun Oct 28 2012 Tomasz Pawel Gajc <tpg@mandriva.org> 0.9.6.4-1
+ Revision: 820114
- update to new version 0.9.6.4

* Thu Aug 09 2012 Matthew Dawkins <mattydaw@mandriva.org> 0.9.6.2-1
+ Revision: 813349
- update to new version 0.9.6.2

* Wed Aug 08 2012 Matthew Dawkins <mattydaw@mandriva.org> 0.9.6.0-1
+ Revision: 812725
- update to new version 0.9.6.0

* Sun May 06 2012 Matthew Dawkins <mattydaw@mandriva.org> 0.9.4.1-2
+ Revision: 796933
- rebuild for gnome-bluetooth

* Sun Mar 25 2012 Tomasz Pawel Gajc <tpg@mandriva.org> 0.9.4.1-1
+ Revision: 786620
- Patch 1: fix format not a string literal and no format arguments error
- update to new version 0.9.4.1
- enable bluetooth support

* Tue Dec 06 2011 Matthew Dawkins <mattydaw@mandriva.org> 0.9.2.0-1
+ Revision: 738337
- added missing devel description
- new version 0.9.2.0
- new lib nm-gtk0 & devel nm-gtk
- removed defattr, clean section, BuildRoot, mkrel
- removed .la files
- converted BRs to pkgconfig provides

  + Oden Eriksson <oeriksson@mandriva.com>
    - 0.8.6.0
    - 0.8.6.0

* Sun May 22 2011 Funda Wang <fwang@mandriva.org> 0.8.4-2
+ Revision: 677158
- cleanup spec file
- rebuild to add gconf2 as req

* Thu Apr 21 2011 Funda Wang <fwang@mandriva.org> 0.8.4-1
+ Revision: 656404
- disable warnings
- bump req
- new version 0.8.4

* Tue Apr 05 2011 Funda Wang <fwang@mandriva.org> 0.8.3.999-1
+ Revision: 650762
- new version 0.8.3.999

* Sat Mar 19 2011 Andrey Borzenkov <arvidjaar@mandriva.org> 0.8.3.998-1
+ Revision: 647051
- 0.8.4-rc1

* Sat Mar 05 2011 Andrey Borzenkov <arvidjaar@mandriva.org> 0.8.3.997-1
+ Revision: 642103
- update to 0.8.4-beta3

* Fri Nov 05 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 0.8.2-1mdv2011.0
+ Revision: 593784
- 0.8.2 final

* Thu Nov 04 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 0.8.1.999-1mdv2011.0
+ Revision: 593131
- update to 0.8.2-rc1

  + Funda Wang <fwang@mandriva.org>
    - new version 0.8.1

* Sat Jul 17 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 0.8.0.999-1mdv2011.0
+ Revision: 554751
- new version 0.8.1-rc

* Thu Feb 25 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 0.8-1mdv2010.1
+ Revision: 511187
- new version

* Sat Feb 06 2010 Frederik Himpe <fhimpe@mandriva.org> 0.7.999-1.git20100122.2mdv2010.1
+ Revision: 501460
- Don't autostart the applet in KDE as KDE has its own applet now

* Sat Jan 23 2010 Frederik Himpe <fhimpe@mandriva.org> 0.7.999-1.git20100122.1mdv2010.1
+ Revision: 495148
- Update to 0.7.999+ snapshot

* Fri Jan 01 2010 Frederik Himpe <fhimpe@mandriva.org> 0.7.997-0.git20100101.1mdv2010.1
+ Revision: 484910
- Update to new snapshot

* Tue Nov 17 2009 Frederik Himpe <fhimpe@mandriva.org> 0.7.996-0.git20091117.1mdv2010.1
+ Revision: 467054
- Update to new git snapshot

* Fri Nov 13 2009 Frederik Himpe <fhimpe@mandriva.org> 0.7.996-0.git20091021.1mdv2010.1
+ Revision: 465802
- Add BuildRoot to SPEC file
- First Mandriva package
- create networkmanager-applet

